<template>
  <div>
    <div class="context_view_header">
      <span>{{ context_view_title }}</span>
    </div>
    <navigation-panel></navigation-panel>
    <status-bar></status-bar>
    <title-bar></title-bar>
    <div class="context_view_footer"></div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

import titleBar from "./TitleBar.vue";
import statusBar from "./StatusBar.vue";
import navigationPanel from "./NavigationPanel.vue";

export default defineComponent({
  name: "Layout",

  components: {
    "title-bar": titleBar,
    "status-bar": statusBar,
    "navigation-panel": navigationPanel
  },

  computed: {
    context_view_title(): string {
      let name = this.$router.currentRoute.value.name?.toString();
      return name === undefined ? "" : name;
    }
  },
});
</script>

<style>
.context_view_header
{
  background-color: #E7E8E9;
  color: #676F77;
  font-size: 18px;
  padding: 18px;
  overflow: hidden;
  position: absolute;
  text-align: left;
  top: 96px;
  left: 212px;
  right: 0;
  height: 58px;
}

.context_view_footer
{
  background-color: #E7E8E9;
  color: #ffffff;
  overflow: hidden;
  position: absolute;
  left: 212px;
  right: 0;
  bottom: 0;
  height: 58px;
}
</style>
